package com.ruoyi.model.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 游客对象 app_tourist
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
@ApiModel("游客")
public class AppTourist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("编号")
    /** $column.columnComment */
    private Long id;

    /** 游客昵称为未登录 */
    @Excel(name = "游客昵称为未登录")
    private String name;

    /** 默认小程序logo */
    @Excel(name = "默认小程序logo")
    private String icon;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setIcon(String icon) 
    {
        this.icon = icon;
    }

    public String getIcon() 
    {
        return icon;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("icon", getIcon())
            .toString();
    }
}
